﻿using Infragistics.Win.UltraWinTree;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinTreeBeforeDelete
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            foreach (UltraTreeNode node in ultraTree1.Nodes)
            {
                if(node.Text.EndsWith("2"))
                    node.Override.AllowDelete = Infragistics.Win.DefaultableBoolean.True;
            }
        }

        private void ultraTree1_BeforeDelete(object sender, BeforeNodesDeletedEventArgs e)
        {
            System.Diagnostics.Debug.WriteLine("About to delete");
        }
    }
}
